<!DOCTYPE html> 
<html> 
  <head> 
    <title>Pagina Web taller3</title> 
    <meta name="viewport" content="width=device-width, initial-scale=1">
</head> 
<body> 

  
      </div>
      <div class="col-lg-4"  style="background-color:rgb(66, 129, 187)">
        <h1>Transformar la hora actual en segundos</h1> 
        <script>
            function Transformar (){
                var fechaHora = new Date();
                var horas = fechaHora.getHours();
                var minutos = fechaHora.getMinutes();
                var segundos = fechaHora.getSeconds();
                var hs=0;
                var ms=0;
                var ss=0;
                hs=horas+3600;
                ms=minutos+60;
                ss=hs+ms+segundos;
                alert(horas+ ": "+ " :"+minutos+ ": "+ segundos+
                      "\n Los segundos totales son : "+ss);

            }

        
        </script>
        <form>
            <button class="boton_personalizado" onclick="Transformar()">Transformar</button> 
           
        </form>
        <p></p>
      </div>

      <div class="col-lg-4"  style="background-color:rgb(224, 106, 215)">
        <h1>Calcular el área de un triángulo</h1> 
        <script>

            function area(){
                var base = eval(prompt("Introduce la base del triangulo  :"));
                var altura = eval(prompt("Introduce la altura del triangulo :"));
                var area;
                area=(base*altura)/2;
                alert("La base es :"+base + "\n La altura es: "+altura+ "\n El area del triangulo es: "+area);
            }
        </script>
        <form>
            <button class="boton_personalizado" onclick="area()">Calcular el área</button>
        </form>
        
        <p></p>
      </div>
    </div>
  </div> 

  <div class="container-fluid">

    <div class="row">
      <div class="col-lg-4"  style="background-color:rgb(96, 155, 211)">
        <h1>Calcular la raíz cuadrada de un número impar</h1> 
        <script>
     
            function raiz(){
                var num = eval(prompt("Introduzca numero impar  :"));
                alert("La Raiz Cuadrada de "+ num +" es: "+Math.sqrt(num).toFixed(3));
            }
        </script>
               <form >
                <button class="boton_personalizado" onclick="raiz()">Calcular la raíz cuadrada</button>
            </form>

        <p></p>
      </div>
      <div class="col-lg-4"  style="background-color:rgb(212, 99, 212)">
        <h1>Ingresar cadena de texto</h1> 
        <script>
        function cadenatext(){
            var cadena=eval(prompt("Ingrese cadena: ").length);
            alert("La longitud es de :" +cadena);
        }
    </script>
    <form >
        <button class="boton_personalizado" onclick="cadenatext()">Ingresar y Mostrar texto</button>
    </form>
        <p></p>
      </div>
      <div class="col-lg-4"  style="background-color:rgb(240, 82, 82)">
        <h1>Concatenar los arrays</h1> 
        <script> 
        function concatenar(){
                let array1 = ["Lunes ", "Martes ", "Miércoles ", "Jueves ", "Viernes "];
                let array2=["Sabado ", "Domingo "];
                let array3 = array1.concat(array2);
                alert(array1 +" \n " + array2 +" \n "+ array3);
            }
    
    </script>
    <form >
        <button class="boton_personalizado" onclick="concatenar()">Concatenar</button>
    </form>

        <p></p>
      </div>
    </div>

      <div class="col-lg-4"  style="background-color:rgb(101, 211, 183)">
        <h1>Mostrar el ancho y la altura de la pantalla</h1> 
        <script type="text/javascript">
            function miFuncion()
            {
            alert("La resolución de tu pantalla es: " + screen.width + " x " + screen.height) ;
            }
            </script>
            </head>
            <body>
            <form>
            <input type="button"
            onclick="miFuncion()"
            value="VER">
            </form>
            
            <p></p>
            
    
      </div>
      <div class="col-lg-4"  style="background-color:rgb(142, 107, 238)">
        <h1>Mostrar la versión del navegador</h1> 
        <form>
            <button class="boton_personalizado" onclick="alert(navigator.appName + navigator.appVersion) ;">versión del navegador</button> 
        </form>
        <p></p>
      </div>
     

      <div class="col-lg-4"  style="background-color:rgb(118, 219, 123)">
        <h1>Imprimir</h1> 
        <form>
            <button class="boton_personalizado" onclick="javascript:window.print()">Imprimir</button> 
        </form>
        <p></p>
      </div>
    </div>

</body> 
</html>
